osg::DrawableCullCallback Class Reference

`#include <Callback>`

Inheritance diagram for osg::DrawableCullCallback:

## Public Member Functions

| DrawableCullCallback ()
| DrawableCullCallback (const DrawableCullCallback &org, const CopyOp &copyop)
| META_Object (osg, DrawableCullCallback)
virtual DrawableCullCallback * | asDrawableCullCallback ()
virtual const DrawableCullCallback * | asDrawableCullCallback () const
virtual bool | cull (osg::NodeVisitor *, osg::Drawable *, osg::State *) const
virtual bool | cull (osg::NodeVisitor *nv, osg::Drawable *drawable, osg::RenderInfo *renderInfo) const
virtual bool | run (osg::Object *object, osg::Object *data)
Public Member Functions inherited from osg::Callback
| Callback ()
| Callback (const Callback &cb, const CopyOp &copyop)
| META_Object (osg, Callback)
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual NodeCallback * | asNodeCallback ()
virtual const NodeCallback * | asNodeCallback () const
virtual StateAttributeCallback * | asStateAttributeCallback ()
virtual const StateAttributeCallback * | asStateAttributeCallback () const
virtual UniformCallback * | asUniformCallback ()
virtual const UniformCallback * | asUniformCallback () const
virtual DrawableUpdateCallback * | asDrawableUpdateCallback ()
virtual const DrawableUpdateCallback * | asDrawableUpdateCallback () const
virtual DrawableEventCallback * | asDrawableEventCallback ()
virtual const DrawableEventCallback * | asDrawableEventCallback () const
virtual osgGA::EventHandler * | asEventHandler ()
virtual const osgGA::EventHandler * | asEventHandler () const
bool | traverse (osg::Object *object, osg::Object *data)
void | setNestedCallback (osg::Callback *cb)
osg::Callback * | getNestedCallback ()
const osg::Callback * | getNestedCallback () const
void | addNestedCallback (osg::Callback *nc)
void | removeNestedCallback (osg::Callback *nc)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Callback
virtual | ~Callback ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Callback
ref_ptr< Callback > | _nestedCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## DrawableCullCallback() [1/2]

osg::DrawableCullCallback::DrawableCullCallback | ( |  | ) |

inline

Referenced by osg::ClusterCullingCallback::asDrawableCullCallback(), osg::ClusterCullingCallback::asDrawableCullCallback(), asDrawableCullCallback(), asDrawableCullCallback(), osgViewer::InteractiveImageHandler::asDrawableCullCallback(), osgViewer::InteractiveImageHandler::asDrawableCullCallback(), DrawableCullCallback(), osgViewer::InteractiveImageHandler::InteractiveImageHandler(), and META_Object().

## DrawableCullCallback() [2/2]

osg::DrawableCullCallback::DrawableCullCallback | ( | const DrawableCullCallback & | org,
|  | const CopyOp & | copyop )

inline

References osg::Callback::Callback(), and DrawableCullCallback().

## Member Function Documentation

## asDrawableCullCallback() [1/2]

virtual DrawableCullCallback * osg::DrawableCullCallback::asDrawableCullCallback | ( |  | ) |

inline virtual

Reimplemented from osg::Callback.

Reimplemented in osg::ClusterCullingCallback, and osgViewer::InteractiveImageHandler.

References DrawableCullCallback().

Referenced by osg::ClusterCullingCallback::asDrawableCullCallback(), osg::ClusterCullingCallback::asDrawableCullCallback(), osgViewer::InteractiveImageHandler::asDrawableCullCallback(), and osgViewer::InteractiveImageHandler::asDrawableCullCallback().

## asDrawableCullCallback() [2/2]

virtual const DrawableCullCallback * osg::DrawableCullCallback::asDrawableCullCallback | ( |  | ) | const

inline virtual

Reimplemented from osg::Callback.

Reimplemented in osg::ClusterCullingCallback, and osgViewer::InteractiveImageHandler.

References DrawableCullCallback().

## cull() [1/2]

virtual bool osg::DrawableCullCallback::cull | ( | osg::NodeVisitor * | ,
|  | osg::Drawable * | ,
|  | osg::State * | ) const

inline virtual

deprecated.

Reimplemented in osg::ClusterCullingCallback.

## cull() [2/2]

virtual bool osg::DrawableCullCallback::cull | ( | osg::NodeVisitor * | nv,
|  | osg::Drawable * | drawable,
|  | osg::RenderInfo * | renderInfo ) const

virtual

do customized cull code, return true if drawable should be culled.

Reimplemented in osgViewer::InteractiveImageHandler.

## META_Object()

osg::DrawableCullCallback::META_Object | ( | osg | ,
|  | DrawableCullCallback | )

References DrawableCullCallback().

## run()

virtual bool osg::Callback::run | ( | osg::Object * | object,
|  | osg::Object * | data )

inline virtual

Invoke the callback, first parameter is the Object that the callback is attached to, the second parameter, the data, is typically the NodeVisitor that is invoking the callback. The run(..) method may be overridden by users directly, or if the user is using one of the old style callbacks such as NodeCallback or Drawable::UpdateCallback then you can just override the appropriate callback method on those callback subclasses. If you are implementing your own callback then one should call traverse() to make sure nested callbacks and visitor traversal() is completed.

Reimplemented from osg::Callback.

Reimplemented in osgViewer::InteractiveImageHandler.

The documentation for this class was generated from the following file:

- Callback